#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#define TF 20

int make_random(int max)
{
	return (rand() % max) + 1;
}

void fill_vector(int vet[TF], int max_int)
{
	for(int i = 0; i < TF; i++)
	{
		vet[i] = make_random(max_int);
	}
}

void print_vector(int vet[TF])
{
	for(int i = 0; i < TF; i++)
	{
		printf("%d ", vet[i]);
	}
}

void bubble_sort(int vet[TF], int TL)
{
	int i;
	int flag = 1;
	int aux;
	
	while(TL > 1 && flag == 1)
	{
		flag = 0;
		for(i = 0; i < TL - 1; i++)
		{
			if(vet[i] > vet[i+1])
			{
				aux = vet[i];
				vet[i] = vet[i + 1];
				vet[i + 1] = aux;
				flag = 1;
			}
		}
		TL--;
	}
}

int main()
{
	srand(time(0));
	int vetor[TF];
	fill_vector(vetor, 100);
	print_vector(vetor);
	
	printf("\n");
	
	bubble_sort(vetor, TF);
	printf("Bubble Sort:\n");
	print_vector(vetor);
}
